Enable On-Demand Compute (V2)
Note
Enabling On-Demand Compute provisions a VectorLake instance internally. This resource is managed automatically and does not appear in the cluster list.
Enable On-Demand Compute for a project region.
POST/v2/on-demand-compute/enable
The base URL for this API is in the following format:
https://api.cloud.zilliz.com
📘Notes
The endpoints on the control plane currently supports up to 20 requests per second per user per endpoint.
export BASE_URL="https://api.cloud.zilliz.com"
Parameters
Authorizationstringheaderrequired
The authentication token should be an API key with appropriate privileges.
Example Value: Bearer {{TOKEN}}
Request Bodyapplication/json
projectIdstringrequired
The ID of the project.
regionIdstringrequired
The ID of the region.
export TOKEN="YOUR_API_KEY"
curl --request POST \
--url "${BASE_URL}/v2/on-demand-compute/enable" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Content-Type: application/json" \
-d '{
"projectId": "proj-xxx",
"regionId": "aws-us-west-2"
}'
Responses200 - application/json
A success response
codeinteger
Response code.
Example Value: 0
dataobject
Response payload which contains the On-Demand Compute status.
projectIdstring
ID of the project.
regionIdstring
ID of the region.
statusstring
The On-Demand Compute status.
A failure response.
codeinteger
Response code.
messagestring
Error message.
{
"code": 0,
"data": {
"projectId": "proj-xxx",
"regionId": "aws-us-west-2",
"status": "enabled"
}
}